Poldek memory fault

Bug #658291 reported by uzsolt on 2010-10-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
PLD Linux
Undecided
Unassigned

Bug Description

poldek:/all-avail> install openssh
Processing dependencies...
openssh-5.6p1-2.i686 obsoleted by openssh-5.6p1-3.i686
  greedy upgrade openssh-server-5.6p1-2.i686 to 5.6p1-3.i686 (unresolved openssh = 2:5.6p1-2)
   openssh-server-5.6p1-2.i686 obsoleted by openssh-server-5.6p1-3.i686
......
      greedy upgrade kde4-kdelibs-4.5.1-6.i686 to 4.5.2-3.i686 (unresolved libgssapi.so.2(HEIMDAL_GSS_1.0))
       kde4-kdelibs-4.5.1-6.i686 obsoleted by kde4-kdelibs-4.5.2-3.i686
Memory fault

OR

poldek:/all-avail> install rpm-base-4.5-44.i686
Processing dependencies...
rpm-base-4.5-43.i686 obsoleted by rpm-base-4.5-44.i686
  greedy upgrade rpm-4.5-43.i686 to 4.5-44.i686 (unresolved rpm-base = 4.5-43)
   rpm-4.5-43.i686 obsoleted by rpm-4.5-44.i686
     greedy upgrade rpm-utils-4.5-43.i686 to 4.5-44.i686 (unresolved rpm = 4.5-43)
      rpm-utils-4.5-43.i686 obsoleted by rpm-utils-4.5-44.i686
        greedy upgrade rpm-build-4.5-43.i686 to 4.5-44.i686 (unresolved rpm-utils = 4.5-43)
         rpm-build-4.5-43.i686 obsoleted by rpm-build-4.5-44.i686
Memory fault

There are some other packages which causes "Memory fault". I think that this isn't hardware error, because ALWAYS same packages causes "memory fault". But when I manually download them and install with "rpm -i", after this works well.

poldek:/all-avail> install --nodeps --nofollow --fetch rpm-base-4.5-44.i686
Processing dependencies...
rpm-base-4.5-43.i686 obsoleted by rpm-base-4.5-44.i686
Something wrong, something not quite right with 0.30 (beta)
Assertion 'message' failed, requirements.c:349
Please report this bug to <email address hidden>.

Abort

uzsolt (udvzsolt) wrote :

Ooops, sorry:

[root@pld-laptop ~]# poldek --version
poldek 0.30 (beta)
Copyright (C) 2000-2007 Pawel A. Gajda <email address hidden>
This program may be freely redistributed under the terms of the GNU GPL v2

If you need any other information please don't hesitate :)

uzsolt (udvzsolt) wrote :

$ LC_ALL=C rpm -qi poldek
Name : poldek Relocations: (not relocatable)
Version : 0.30 Vendor: (none)
Release : 0.rc1.4 Build Date: Mon Aug 30 13:11:21 2010
Install Date: Sun Oct 3 14:28:05 2010 Build Host: nereid-builder
Group : Applications/System Source RPM: poldek-0.30-0.rc1.4.src.rpm
Size : 380486 License: GPL v2
Signature : DSA/SHA1, Fri Sep 3 10:37:09 2010, Key ID af3f93bce4f1bc2d
URL : http://poldek.pld-linux.org/
Summary : RPM packages management helper tool

uzsolt (udvzsolt) wrote :

poldek:/all-avail> install glibc-
Processing dependencies...
glibc-2.12.1-4.i686 obsoleted by glibc-2.12.1-6.i686
  greedy upgrade glibc-libcrypt-2.12.1-4.i686 to 2.12.1-6.i686 (unresolved glibc = 6:2.12.1-4)
   glibc-libcrypt-2.12.1-4.i686 obsoleted by glibc-libcrypt-2.12.1-6.i686
  greedy upgrade iconv-2.12.1-4.i686 to 2.12.1-6.i686 (unresolved glibc = 6:2.12.1-4)
   iconv-2.12.1-4.i686 obsoleted by iconv-2.12.1-6.i686
     greedy upgrade glibc-localedb-all-2.12.1-4.i686 to 2.12.1-6.i686 (unresolved iconv = 6:2.12.1-4)
      glibc-localedb-all-2.12.1-4.i686 obsoleted by glibc-localedb-all-2.12.1-6.i686
  greedy upgrade glibc-misc-2.12.1-4.i686 to 2.12.1-6.i686 (unresolved glibc = 6:2.12.1-4)
   glibc-misc-2.12.1-4.i686 obsoleted by glibc-misc-2.12.1-6.i686
  greedy upgrade glibc-devel-2.12.1-4.i686 to 2.12.1-6.i686 (unresolved glibc = 6:2.12.1-4)
   glibc-devel-2.12.1-4.i686 obsoleted by glibc-devel-2.12.1-6.i686
   glibc-devel-2.12.1-6.i686 marks glibc-devel-utils-2.12.1-6.i686 (cap glibc-devel-utils = 6:2.12.1-6)
    glibc-devel-utils-2.12.1-4.i686 obsoleted by glibc-devel-utils-2.12.1-6.i686
   glibc-devel-2.12.1-6.i686 marks glibc-headers-2.12.1-6.i686 (cap glibc-headers = 6:2.12.1-6)
    glibc-headers-2.12.1-4.i686 obsoleted by glibc-headers-2.12.1-6.i686
Segmentation fault

uzsolt (udvzsolt) wrote :

Anybody?

uzsolt (udvzsolt) wrote :

$ LC_ALL=C rpm -qi poldek
Name : poldek Relocations: (not relocatable)
Version : 0.30 Vendor: (none)
Release : 0.rc2.3 Build Date: Fri Mar 18 10:50:33 2011
Install Date: Fri Mar 18 10:50:54 2011 Build Host: pld-laptop
Group : Applications/System Source RPM: poldek-0.30-0.rc2.3.src.rpm
Size : 209123 License: GPL v2
Signature : (none)

Same error :(

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers